#!/bin/sh

# Deny to suspend & hibernate for users via polkit & upower

# /etc/polkit-1/localauthority - for local configuration 
# /var/lib/polkit-1/localauthority - for 3rd party packages. 

# pkaction --verbose --action-id org.freedesktop.upower.suspend

# pkaction | grep -i upower

export LC_ALL=POSIX

a= . install2-init-functions

PROG="${PROG:-${0##*/}}"
CONFDIR="$destdir/var/lib/polkit-1/localauthority/50-local.d"
CONFIG="$CONFDIR/upower-users-deny.pkla"

if [ -z "$destdir" ]; then
    echo "$PROG: environment variable \`destidr' doesn't defined."
    exit 0
fi

if ! [ -d "$CONFDIR" -a -w "$CONFDIR" ]; then
    echo "$PROG: wrong directory $CONFDIR"
    exit 0
fi

if [ -f "$CONFIG" ]; then
    echo "$PROG: $CONFIG already exist, don't write new one."
    exit 0
fi

cat << EOF > "$CONFIG"
[Deny users upower suspend]
Identity=unix-user:*
Action=org.freedesktop.upower.suspend
ResultAny=no
ResultInactive=no
ResultActive=no

[Deny users upower hibernate]
Identity=unix-user:*
Action=org.freedesktop.upower.hibernate
ResultAny=no
ResultInactive=no
ResultActive=no
EOF

echo "$PROG: success."
